<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Boleta</title>
<link rel="stylesheet"
	href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css">
<link rel="stylesheet"
	href="https://cdn.datatables.net/1.10.23/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet"
	href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
<link rel="stylesheet"
	th:href="@{/resources/datepicker/bootstrap-datepicker.css}">
<link rel="stylesheet"
	th:href="@{/resources/alertifyjs/css/alertify.css}">
<link rel="stylesheet"
	th:href="@{/resources/alertifyjs/css/alertify.min.css}">
<link href='https://unpkg.com/boxicons@2.1.1/css/boxicons.min.css'
	rel='stylesheet'>
<link rel="stylesheet"
	href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css">


<style>
.modal-header, h4, .close {
	background-color: #286090;
	color: white !important;
	text-align: center;
	font-size: 20px;
}

.help-block {
	color: red;
	/*display: none;*/
}

.form-group.has-error .form-control-label {
	color: red;
}

.form-group.has-error .form-control {
	border: 1px solid red;
	box-shadow: 0 0 0 0.2rem rgba(250, 16, 0, 0.18);
}

.alertify .ajs-dialog {
	top: 50%;
	transform: translateY(-50%);
	margin: auto;
}

.ajs-header {
	background-color: #286090 !important;
	color: white !important;
	/*text-align: center;*/
	font-size: 18px;
	font-weight: bold;
}

.ajs-ok {
	color: #fff;
	background-color: #007bff;
	border-color: #007bff;
}

.ajs-cancel {
	color: #fff;
	background-color: #dc3545;
	border-color: #dc3545;
}

.btn-primary {
	background-color: #286090 !important;
}

.dataTables_length, .dataTables_info {
	display: none;
}

.modal-lg, .modal-xl {
	max-width: 900px;
	max-height: 800px;
}

.form-control-feedback2 {
	margin: 1px;
	position: absolute;
	padding: 10px;
	pointer-events: none;
	background-color: #e9ecef;
	border-style: none;
}

.form-control-feedback3 {
	margin: 1px;
	position: absolute;
	margin-left: 225px;
	padding: 10px;
	pointer-events: none;
	background-color: #e9ecef;
	border-style: none;
}

/*.toast-succes{
		width: 120px;
	}*/
</style>


</head>

<nav th:replace="/fragments/navMenu">
	<i class='bx bx-building-house'></i>
</nav>
<body>
	<div class="container mt-5">

		<h3 class="text-center mt-5">PAGO DE BOLETA</h3>

		<div class="container mt-5">
			<div class="container mt-4 border border-info rounded">
				<div class="row mt-4">
					<div class="col-md-6">
						<label for="idNroDepartamento">Nro. Departamento</label> <select id="idNroDepartamento"
							class="form-control">
							<option value="">Seleccione un Departamento</option>
							<option th:each="bean:${departamentos}" th:utext="${bean.nrodepartamento}" th:value="${bean.nrodepartamento}" />
						</select>
					</div>
					<div class="col-md-6">
						<label for="idServicio">Servicio</label> <select id="idServicio"
							class="form-control">
							<option value="">Seleccione un servicio</option>
							<option th:each="bean:${tipoServicio}" th:utext="${bean.descripcionServicio}" th:value="${bean.idtiposervicio}" />
						</select>
					</div>
				</div>
				<div class="row mt-4 mb-4">
					<div class="col-md-6">
						<label for="idMes">Mes</label> <select id="idMes"
							class="form-control">
							<option value="">Seleccione mes</option>
							<option value="Enero">Enero</option>
							<option value="Febrero">Febrero</option>
							<option value="Marzo">Marzo</option>
							<option value="Abril">Abril</option>
							<option value="Mayo">Mayo</option>
							<option value="Junio">Junio</option>
							<option value="Julio">Julio</option>
							<option value="Agosto">Agosto</option>
							<option value="09">Septiembre</option>
							<option value="Septiembre">Octubre</option>
							<option value="Novienbre">Novienbre</option>
							<option value="Diciembre">Diciembre</option>
						</select>
					</div>
					<div class="col-md-4">
						<label for="idEstado">Estado</label> <select id="idEstado"
							class="form-control">
							<option value="">Seleccione un estado</option>
							<option th:each="bean:${estadoBoleta}" th:utext="${bean.descripcion}" th:value="${bean.idestadoboleta}" />
						</select>
					</div>

					<div class="col-md-2">
						<label for="idBtnFiltrar" class="text-white">#</label>
						<button class="btn btn-primary form-control" id="idBtnFiltrar">FILTRAR</button>
					</div>
				</div>
			</div>
		</div>
		
		<div class="container mt-5">
		
		 <h5>Resultados obtenidos:</h5>
		
		
			<table class="table table-striped table-bordered "
				id="tableBoleta">
				<thead class="thead-dark">
					<tr>
						<th class="text-center">#</th>
						<th class="text-center">NRO DEPARTAMENTO</th>
						<th class="text-center">SERVICIO</th>
						<th class="text-center">MES</th>
						<th class="text-center">IMPORTE</th>
						<th class="text-center">EMITIDO</th>
						<th class="text-center">FECHA DE PAGO</th>
						<th class="text-center">ESTADO</th>
						<th class="text-center">OPERACIONES</th>
					</tr>
				</thead>

				<tbody>

				</tbody>
			</table>
		</div>



	</div>

	<!--         -->
<div class="modal fade" id="modalDePago" data-backdrop="static" 
							data-keyboard="false" tabindex="-1" 
							aria-labelledby="exampleModalLabel" aria-hidden="true">
						<div class="modal-dialog modal-dialog-centered modal-login modal-lg" >					
							<div class="modal-content">
								<div class="modal-header bg-blue-darker">
									<h4 class="modal-title text-white">Boleta a pagar: resumen</h4>
								</div>
								<div class="modal-body">
										
										<input type="hidden" id="idBoleta" name="boletaId" value="0">
										
										<div class="container">
											
											
												<div class="form-group has-feedback col-md-12">
														<label for="exampleInputEmail1"><b>Nro. Departamento</b></label><br>		
														<input type="text" class="form-control" id="idNroDepartamento2" name="nroDepartamento" readonly>																										
												</div>
												<div class="form-group has-feedback col-md-12">
														<label for="exampleInputEmail1"><b>Servicio</b></label><br>		
														
														<input type="text" class="form-control" id="idServicio2"  name="servicio" readonly>																										
												</div>
												<div class="form-group has-feedback col-md-12">
														<label for="exampleInputEmail1"><b>Mes</b></label><br>						
														<input type="text" class="form-control" id="idMes2" readonly>																										
												</div>
												<div class="form-group has-feedback col-md-12">
														<label for="exampleInputEmail1"><b>Importe</b></label><br>		
														
														<input type="text" class="form-control" id="idImporte" readonly>																										
												</div>
												<div class="form-group has-feedback col-md-12">
														<label for="exampleInputEmail1"><b>Fecha de emision</b></label><br>		
														
														<input type="text" class="form-control" id="idFecha" readonly>																										
												</div>
												
												
																															
											
										</div>	
																	
										<div class="col-md-12 text-center mt-4"> 										
											<button type="button" id="Guardar" class="btn btn-primary"><i class="fas fa-save"></i> Pagar</button>
											<button type="button" id="btn-cerrar" class="btn btn-danger" data-dismiss="modal"><i class="fas fa-undo-alt"></i> Cancelar</button>
										</div> 																								
									
								</div>
							</div>
						</div>
		</div>




</body>


<script src="https://code.jquery.com/jquery-3.6.0.js"></script>
<script
	src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>
<script
	src="https://cdn.bootcdn.net/ajax/libs/bootstrap-validator/0.5.3/js/bootstrapValidator.js"></script>
<script th:src="@{/resources/datepicker/bootstrap-datepicker.js}"></script>
<script
	src="https://cdn.datatables.net/1.10.23/js/jquery.dataTables.min.js"></script>
<script
	src="https://cdn.datatables.net/1.10.23/js/dataTables.bootstrap4.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
<script th:src="@{/resources/alertifyjs/alertify.js}"></script>
<script th:src="@{/resources/alertifyjs/alertify.min.js}"></script>

<script th:inline="javascript" th:if="${MENSAJE!=null}">
	let msg;
	msg = /*[[${MENSAJE}]]*/null;

	toastr.success(msg, toastr.options = {
		"timeOut" : "2000",
		"positionClass " : " toast-top-right ",
	});
</script>


<script th:inline="javascript" th:if="${error!=null}">
	let msg2;
	msg2 = /*[[${error}]]*/null;

	toastr.error(msg2, toastr.options = {
		"timeOut" : "2000",
		"positionClass " : " toast-top-right ",
	});
</script>

<script type="text/javascript">
	
	$(document).on("click","#idBtnFiltrar", function(){
		let nroDepa ,mes, servicio, estado;
		
		nroDepa = $("#idNroDepartamento").val();
		servicio = $("#idServicio").val();
		mes = $("#idMes").val();
		estado = $("#idEstado").val();
	
		
		$.get("filtrarBoletas?nroDepa="+nroDepa+"&mes="+mes+"&servicio="+servicio+"&estado="+estado, function(response){
			if(response == ""){
				$("#tableBoleta tbody").empty();
				toastr.warning("No se encontraron registros", toastr.options = {
						"timeOut": "3000",
						"positionClass " : " toast-top-right ",
					});
			}else{
				$("#tableBoleta tbody").empty();
				$.each(response, function(index, item){
					
					if(item.fechapago == null){
						item.fechapago = "Sin registro";
					}
					let clase, btnDesactivado;
					if(item.estadoBoleta.idestadoboleta == 1){
						clase="btn-info";
						btnDesactivado="disabled='disabled'"
						
						
					}else{
						clase="btn-danger";
						btnDesactivado="";
					}
						
					
					$("#tableBoleta").append("<tr> <td>"+item.idboleta+"</td>"+
													"<td>"+item.boletaDepartamento.nrodepartamento+"</td>"+
													"<td>"+item.servicio.descripcionServicio+"</td>"+
													"<td>"+item.mes+"</td>"+
													"<td>"+item.importe+"</td>"+
													"<td>"+item.fechaemision+"</td>"+
													"<td>"+item.fechapago+"</td>"+
													"<td class='text-center'><spam class='btn "+clase+"'>"+item.estadoBoleta.descripcion+"</spam></td>"+
													"<td class='text-center'><button class='btn btn-success btn-pagar' "+btnDesactivado+" data-toggle='modal' data-target='#modalDePago'><i class='bx bx-money-withdraw'></i> Pagar</button></td></tr>");
				})
			}
		})
	});
	
	
	
	
	$(document).on("click",".btn-pagar",function(){
	let codigo;
	codigo=$(this).parents("tr").find("td")[0].innerHTML;
	
	$.get("buscar?idBoleta="+codigo,function(response){
		
		$("#idBoleta").val(response.idboleta);	
		$("#idNroDepartamento2").val(response.boletaDepartamento.nrodepartamento);
		$("#idServicio2").val(response.servicio.descripcionServicio);
		$("#idMes2").val(response.mes);
		$("#idImporte").val(response.importe);
		$("#idFecha").val(response.fechaemision);
	
	})
	});



//btn-cerrar del modal
$(document).on("click","#btn-cerrar",function(){
	$("#idNroDepartamento").val(0);		
});

$(document).on("click","#Guardar",function(){
	let cod, depa;
	cod=$("#idBoleta").val();	
	depa=$("#idNroDepartamento2").val();
	alertify.confirm("SISTEMA GESTION DE DEPARTAMENTOS","&#191;Esta seguro de pagar la boleta del departamento &#34;"+depa+"&#34; ?",
		function(){//SIIII
			window.location="procesarPago?idBoleta="+cod;
		},
		function(){//NOOOO
			
		}).set('labels',{ok:'Si, pagar!',cancel:'Cancelar'});
})
	
	
	
</script>

</html>